<template>
  <div
    class="nodecard w-full flex items-center justify-between xs:flex-col xs:gap-8 xs:items-start rounded-16 bg-bgdtert p-4"
  >
    <div class="nodecard__logo-block gap-4 flex items-center justify-between xs:w-full">
      <div class="flex items-center gap-4">
        <div class="flex shrink-0 justify-center items-center relative">
          <img width="64" height="64" src="@/assets/images/views/index/polygon.svg" />
          <img
            width="48"
            height="48"
            :src="require(`@/assets/images/coins/${nodeInfo.cryptocurrency_symbol.toLowerCase()}.svg`)"
            class="absolute inset-0 m-auto shrink-0"
          />
        </div>
        <p class="text-lg leading-5 font-bold text-txtdprim w-full overflow-hidden overflow-ellipsis whitespace-nowrap">
          {{ nodeInfo.cryptocurrency_full_name }}
        </p>
      </div>
      <div
        class="bg-btndsec h-8 px-2 flex justify-center items-center text-sm font-medium text-txtdsec rounded-12 uppercase xs:ml-auto"
      >
        {{ nodeInfo.cryptocurrency_symbol }}
      </div>
    </div>
    <div class="flex items-center gap-4 xs:hidden mr-auto ml-16">
      <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
      <div>
        <p class="text-sm font-medium text-txtdtert">{{ $t('index.spec') }}</p>
        <p class="leading-5 font-bold text-txtdprim capitalize">
          {{ nodeInfo.network + ', ' + $t(`ui-range.${nodeInfo.mode}`) }}
        </p>
      </div>
    </div>
    <div class="hidden xs:grid grid-cols-2 w-full">
      <div class="flex items-center gap-4">
        <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
        <div>
          <p class="text-sm font-medium text-txtdtert">{{ $t('index.mode') }}</p>
          <p class="leading-5 font-bold text-txtdprim capitalize">{{ $t(`ui-range.${nodeInfo.mode}`) }}</p>
        </div>
      </div>
      <div class="flex items-center gap-4">
        <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
        <div>
          <p class="text-sm font-medium text-txtdtert">{{ $t('index.network') }}</p>
          <p class="leading-5 font-bold text-txtdprim capitalize">{{ nodeInfo.network }}</p>
        </div>
      </div>
    </div>
    <div class="xs:w-full">
      <div @click="handeLinkClick(nodeInfo)">
        <UiButton buttonHeight="md" colorType="secondary" class="w-16 rounded-24 xs:w-full">
          <img width="24" height="24" src="@/assets/images/views/index/arrow-right.svg" class="xs:hidden" />
          <p class="hidden xs:block">{{ $t('index.more') }}</p>
        </UiButton>
      </div>
    </div>
  </div>
</template>

<script>
import UiButton from '@/components/ui/UiButton.vue';

export default {
  name: 'NodeCard',

  components: { UiButton },

  props: {
    nodeInfo: {
      type: Object,
      default: () => ({}),
    },
  },

  methods: {
    handeLinkClick(node) {
      this.$store.commit('setCurrentApiKey', node.api_key);
      this.$router.push(`/endpoint/${node.node_id}`);
    },
  },
};
</script>

<style lang="scss" scoped>
.nodecard {
  &__logo-block {
    width: 224px;
  }
}
</style>
